Name:		pam_ru_save
Version:	1.2
Release:	3.ru6
Group:		System Environment/Base
License:        Rutgers
Source:		pam_ru_save-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	pam-devel

Summary:        Rutgers PAM module for caching Enigma passwords

%description
This package provide PAM authentication for caching Enigma passwords.

%prep
%setup -q

%build
make CFLAGS="-Wall -fPIC -g" LDFLAGS+="--build-id -x -shared" LFLAGS+="--build-id -x -shared"

%install
rm -rf %{buildroot}

%{__install} -d %{buildroot}/%{_lib}/security
%{__install} -m 0755 pam_ru_save.so %{buildroot}/%{_lib}/security/
%{__install} -m 0755 pam_ru_store.so %{buildroot}/%{_lib}/security/

%{__install} -d %{buildroot}%{_mandir}/man8
%{__install} -m 0644 pam_ru_save.8 %{buildroot}%{_mandir}/man8/

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc TODO
/%{_lib}/security/pam_ru_save.so
/%{_lib}/security/pam_ru_store.so
%{_mandir}/man8/pam_ru_save.8*

%changelog
* Mon Feb 13 2012 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.2-3.ru6
- Fixed build for CentOS^ (added --build-id -x -shared to ld flags)

* Tue Sep 01 2009 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.2-2.ru
- Strip newline from passwords
- Added sample conf file

* Tue Aug 11 2009 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.2-1.ru
- Added "unbecome" PAM_USER reset
- The "debug" option now actually works for pam_ru_store
- Added man page
- Miscellaneous fixes

* Wed Jul 16 2008 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.0-1
- Initial build
